/* tslint:disable */
/* eslint-disable */
/**
 * FastAPI
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 0.1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


// May contain unused imports in some cases
// @ts-ignore
import { SpectralWindow } from './spectral-window';

/**
 * Class to hold Channel configuration
 * @export
 * @interface Channels
 */
export interface Channels {
    /**
     * 
     * @type {string}
     * @memberof Channels
     */
    'channels_id': string;
    /**
     * 
     * @type {Array<SpectralWindow>}
     * @memberof Channels
     */
    'spectral_windows': Array<SpectralWindow>;
}

